=== debian/changelog ===
yagf (0.9.1-3) unstable; urgency=low

  * debian/control was updated:
    changed dependency of yagf package from "cuneiform | tesseract-ocr" to
    "tesseract-ocr | cuneiform". (Closes: #682102)

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 30 Jul 2012 19:51:55 +0300

yagf (0.9.1-2) unstable; urgency=low

  * debian/rules was updated:
    - now uscan is used instead of direct using of wget and mv commands
    - used hardening flags in compiler options

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 10 Jun 2012 15:47:44 +0300

yagf (0.9.1-1) unstable; urgency=low

  * Update to stable release 0.9.1.
  * debian/copyright was updated:
    - yagf.spec was deleted from sources in upstream
    - new translator was added
  * debian/yagf.1 (man page) was updated.
  * Fixes from upstream: default spell check language was changed
    from Russian to English. (Closes: #665913)

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 23 Apr 2012 23:07:54 +0300

yagf (0.9+svn247-2) unstable; urgency=low

  * debian/control was updated: fix for cmake >= 2.8.6.

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 19 Mar 2012 19:27:29 +0200

yagf (0.9+svn247-1) unstable; urgency=low

  * Initial release (closes: #619056).

 -- Boris Pek <tehnick-8@mail.ru>  Sat, 17 Mar 2012 14:24:11 +0200
