=== debian/control ===
Source: yagf
Section: graphics
Priority: optional
Maintainer: Boris Pek <tehnick-8@mail.ru>
Build-Depends: debhelper (>= 7), cmake,
 libqt4-dev, libaspell-dev, aspell
Homepage: http://symmetrica.net/cuneiform-linux/yagf-en.html
Vcs-Git: git://github.com/tehnick/yagf-debian.git
Vcs-Browser: https://github.com/tehnick/yagf-debian
Standards-Version: 3.9.3

Package: yagf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 tesseract-ocr | cuneiform
Recommends: xsane
Description: graphical interface for cuneiform and tesseract
 YAGF is a graphical interface for cuneiform and tesseract text recognition
 tools on the Linux platform. With YAGF you can scan images via XSane, import
 pages from PDF documents, perform images preprocessing and recognize texts
 using cuneiform from a single command centre. YAGF also makes it easy to scan
 and recognize several images sequentially.
