=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export CPPFLAGS CFLAGS CXXFLAGS LDFLAGS

%:
	dh $@ --parallel

get-orig-source:
	uscan --noconf --verbose --force-download --rename --download-current-version --destdir=..
