=== debian/changelog ===
yagf (0.9.2-1) experimental; urgency=low

  * Update to stable release 0.9.2.
  * Add "DM-Upload-Allowed: yes" into debian/control.

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 04 Sep 2012 21:24:38 +0300
