=== debian/changelog ===
yagf (0.9.2.1-1) unstable; urgency=medium

  * Update to stable release 0.9.2.1.
  * Bump debhelper version to 9 (was 7); update debian/compat.
  * Bump Standards-Version to 3.9.5 (was 3.9.3): no changes required.
  * Delete obsolete DM-Upload-Allowed field from debian/control.
  * Update get-orig-source section in debian/rules.
  * Update years in debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Thu, 12 Dec 2013 09:45:14 +0400

yagf (0.9.2-2) unstable; urgency=low

  * Move package to unstable: no changes required.

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 12 May 2013 20:15:58 +0300
