=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: yagf
 Section: graphics
 Priority: optional
-Maintainer: Boris Pek <tehnick-8@mail.ru>
-Build-Depends: debhelper (>= 7), cmake,
+Maintainer: Boris Pek <tehnick@debian.org>
+Build-Depends: debhelper (>= 9), cmake,
  libqt4-dev, libaspell-dev, aspell
 Homepage: http://symmetrica.net/cuneiform-linux/yagf-en.html
 Vcs-Git: git://github.com/tehnick/yagf-debian.git
 Vcs-Browser: https://github.com/tehnick/yagf-debian
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.5
 
 Package: yagf
 Architecture: any
