=== debian/watch ===
version=3
http://symmetrica.net/cuneiform-linux/yagf-en.html .*yagf-(.+).tar.gz.*
