=== debian/changelog ===
yagf (0.9.3.2-1ubuntu2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:53:37 +0000

yagf (0.9.3.2-1ubuntu1) utopic; urgency=medium

  * Touch YAGF.desktop and yagf.png in debian/rules to avoid ancient
    timestamps which LP doesn't accept.

 -- Michael Bienia <geser@ubuntu.com>  Mon, 19 May 2014 23:19:36 +0200

yagf (0.9.3.2-1) unstable; urgency=medium

  * Update to stable release 0.9.3.2.
  * Simplify debian/rules after switching to debhelper 9.
  * Add patch: fix-library-path-on-amd64-systems.patch.
  * Update debian/control using wrap-and-sort tool.
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Sat, 05 Apr 2014 00:12:41 +0400
