=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: yagf
 Section: graphics
 Priority: optional
-Maintainer: Boris Pek <tehnick@debian.org>
-Build-Depends: debhelper (>= 9), cmake,
- libqt4-dev, libaspell-dev, aspell
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Boris Pek <tehnick@debian.org>
+Build-Depends: aspell, cmake, debhelper (>= 9), libaspell-dev, libqt4-dev
 Homepage: http://symmetrica.net/cuneiform-linux/yagf-en.html
 Vcs-Git: git://github.com/tehnick/yagf-debian.git
 Vcs-Browser: https://github.com/tehnick/yagf-debian
@@ -11,8 +11,7 @@
 
 Package: yagf
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
- tesseract-ocr | cuneiform
+Depends: tesseract-ocr | cuneiform, ${misc:Depends}, ${shlibs:Depends}
 Recommends: xsane
 Description: graphical interface for cuneiform and tesseract
  YAGF is a graphical interface for cuneiform and tesseract text recognition
