=== debian/changelog ===
yagf (0.9.5+repack1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:39:57 +1100

yagf (0.9.5+repack1-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:32:54 +0000

yagf (0.9.5+repack1-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure URI in Vcs control header.
  * Use secure copyright file specification URI.

  [ Boris Pek ]
  * New upstream release. (Closes: #791400)
  * Upstream tarball is repacked due to usage of incorrect end of lines.
  * Update debian/control:
    - bump Standards-Version to 4.5.0 (was 3.9.5)
    - replace build dependency from debhelper (>= 9) to debhelper-compat (= 12)
    - replace build dependency from libqt4-dev to qtbase5-dev, qttools5-dev and
      qttools5-dev-tools
    - add "Rules-Requires-Root: no"
    - update Homepage field
  * Update debian/rules:
    - delete --parallel option from dh
    - delete get-orig-source section and all related variables
    - enable all hardening flags
    - add option -Wl,--as-needed to LDFLAGS
    - add override_dh_installdocs target:
      remove deprecated file YAGF.appdata.xml from /usr/share/appdata
  * Update patch 01_fix-library-path-on-amd64-systems.
  * Add new patches:
    - 02_update-desktop-file.patch
    - 03_disable-cropping-of-loaded-images.patch:
      workaround for fixing of segmentation fault due to incorrect usage of
      smart pointers (Closes: #746380) (LP: #1380371)
    - 04_port-to-qt5.patch (Closes: #875243) (LP: #1757913)
      this patch is based on branch qt5 in upstream git repo, it additionally
      fixes segmentation fault during opening multiple images (LP: #1434102)
      (Closes: #859862)
    - 05_additional-qt5-related-fixes.patch
    - 06_remove-online-help.patch:
      online documentation is not available anymore
    - 07_fix-application-size.patch
    - 08_fix-config-dialog.patch
    - 09_add-chinese.patch
    - 10_fix-translation-files.patch
    - 11_install-ukrainian-translation.patch
    - 12_add-missing-unistd-include.patch
    - 13_disable-extra-threads.patch
    - 14_fix-crash-when-specific-aspell-dictionary-is-not-found.patch
    - 15_fix-spelling-errors.patch
  * Update manual page: debian/yagf.1
  * Update debian/copyright.
  * Delete debian/compat.
  * Update debian/watch.
  * Add debian/upstream/metadata.

 -- Boris Pek <tehnick@debian.org>  Mon, 09 Mar 2020 23:39:56 +0300
