=== debian/control ===
--- 
+++ 
@@ -3,11 +3,18 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Boris Pek <tehnick@debian.org>
-Build-Depends: aspell, cmake, debhelper (>= 9), libaspell-dev, libqt4-dev
-Homepage: http://symmetrica.net/cuneiform-linux/yagf-en.html
-Vcs-Git: git://github.com/tehnick/yagf-debian.git
+Build-Depends: aspell,
+               cmake,
+               debhelper-compat (= 12),
+               libaspell-dev,
+               qtbase5-dev,
+               qttools5-dev,
+               qttools5-dev-tools
+Homepage: https://sourceforge.net/projects/yagf-ocr/
+Vcs-Git: https://github.com/tehnick/yagf-debian.git
 Vcs-Browser: https://github.com/tehnick/yagf-debian
-Standards-Version: 3.9.5
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 
 Package: yagf
 Architecture: any
