=== debian/watch ===
version=3
opts=\
dversionmangle=s/[+~](dfsg|ds|repack)\d*$//,\
http://sf.net/yagf-ocr/yagf-(.+)\.tar\.gz \
debian uupdate
